import { isEmpty } from './isEmpty';
export declare type ObjectShape = {
    [key: string]: any;
};
export declare type IgnoredTypes = null | undefined;
export declare type MethodKeys<T, U> = {
    [P in keyof T]: T[P] extends U ? never : P;
}[keyof T];
export declare type RemoveIgnoredKey<T> = Pick<T, MethodKeys<T, IgnoredTypes>> | null;
export declare type PurifyObjReturn<ObjectType> = RemoveIgnoredKey<ObjectType>;
export declare function PurifyObj<ObjectType extends ObjectShape>(obj: ObjectType, strict?: boolean): PurifyObjReturn<ObjectType>;
export declare const po: typeof PurifyObj;
export { isEmpty };
