'use strict';

var hasOwnProp = Object.prototype.hasOwnProperty;
function isEmpty(obj) {
  // Check if obj has .length property
  // and if === 0 - it's empty
  if (obj.length) {
    return obj.length === 0;
  } // Otherwise, does it have any properties of its own?


  for (var key in obj) {
    if (hasOwnProp.call(obj, key)) return false;
  } // Fallback


  return true;
}

var toStr = Object.prototype.toString;
function PurifyObj(obj, strict) {
  strict = strict || false;

  var newObj = _purifyObj(obj, strict);

  if (newObj === null) {
    newObj = {};
  }

  return newObj;
}
var po = PurifyObj;

function _purifyObj(obj, strict) {
  var k;

  for (k in obj) {
    purifyProperty(k, obj[k], obj);
  } // Check if the object is empty
  // If it is return null to delete the object


  if (!isEmpty(obj)) {
    return obj;
  } else {
    return null;
  }

  function purifyProperty(key, value, ref) {
    if (!shouldPurifyProperty(value)) {
      delete ref[key];
      return;
    }

    var typeOfValue = typeof value; // If value is an object (excluding date objects)

    if (typeOfValue === 'object' && toStr.call(value) !== '[object Date]') {
      // Exception - If array
      if (toStr.call(obj[k]) === '[object Array]') {
        ref[key] = ref[key].filter(shouldPurifyProperty);
      } else {
        _purifyObj(ref[key], strict);
      }

      if (isEmpty(ref[key])) {
        delete ref[key];
      }
    }
  }

  function shouldPurifyProperty(value) {
    return !(!value && (strict || !strict && value == null));
  }
}

exports.PurifyObj = PurifyObj;
exports.isEmpty = isEmpty;
exports.po = po;
//# sourceMappingURL=purify-obj.cjs.development.js.map
